com.h3c.of.ctl.flow

## Enum FlowEventType

- java.lang.Object
- - java.lang.Enum<FlowEventType>
  - - com.h3c.of.ctl.flow.FlowEventType

- All Implemented Interfaces:
    Serializable, Comparable<FlowEventType>

      public enum FlowEventType
      extends Enum<FlowEventType>

  Denotes flow event types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOW_MOD_PUSH_FAILED` A flow push failed.
    `FLOW_MOD_PUSHED` A flow was successfully pushed to a datapath.
    `FLOW_REMOVED` A flow was removed from a datapath.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlowEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOW_MOD_PUSHED

          public static final FlowEventType FLOW_MOD_PUSHED

      A flow was successfully pushed to a datapath.

    - #### FLOW_MOD_PUSH_FAILED

          public static final FlowEventType FLOW_MOD_PUSH_FAILED

      A flow push failed.

    - #### FLOW_REMOVED

          public static final FlowEventType FLOW_REMOVED

      A flow was removed from a datapath.

  - ### Method Detail

    - #### values

          public static FlowEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowEventType c : FlowEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.